AbstractAddonManager (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractAddonManager

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractAddonManager

All Implemented Interfaces:
  AddonManager

    public abstract class AbstractAddonManager
    extends Object

Base implementation of the `AddonManager` interface.

Authors:
  Andres Almiray

Since:
  0.9.2

Field Summary
`private static org.slf4j.Logger` | `LOG`
`private Map` | `addonDescriptors`
`private Map` | `addons`
`private GriffonApplication` | `app`
`private boolean` | `initialized`
`private Object` | `lock`

Constructor Summary
`AbstractAddonManager(GriffonApplication app)`

Method Summary
`protected void` | `doInitialize()`
`protected void` | `doRegisterAddon(GriffonAddonDescriptor addonDescriptor)`
`GriffonAddon` | `findAddon(String name)`
`GriffonAddonDescriptor` | `findAddonDescriptor(String name)`
`Map` | `findAddonDescriptors(String prefix)`
`Map` | `getAddonDescriptors()`
`Map` | `getAddons()`
`protected Map` | `getAddonsInternal()`
`GriffonApplication` | `getApp()`
`void` | `initialize()`
`void` | `registerAddon(GriffonAddonDescriptor addonDescriptor)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### LOG

    private static final org.slf4j.Logger LOG

### addonDescriptors

    private final Map addonDescriptors

### addons

    private final Map addons

### app

    private final GriffonApplication app

### initialized

    private boolean initialized

### lock

    private final Object lock

Constructor Detail

### AbstractAddonManager

    public AbstractAddonManager(GriffonApplication app)

Method Detail

### doInitialize

    protected void doInitialize()

### doRegisterAddon

    protected void doRegisterAddon(GriffonAddonDescriptor addonDescriptor)

### findAddon

    public GriffonAddon findAddon(String name)

### findAddonDescriptor

    public GriffonAddonDescriptor findAddonDescriptor(String name)

### findAddonDescriptors

    public Map findAddonDescriptors(String prefix)

### getAddonDescriptors

    public Map getAddonDescriptors()

### getAddons

    public Map getAddons()

### getAddonsInternal

    protected Map getAddonsInternal()

### getApp

    public GriffonApplication getApp()

### initialize

    public final void initialize()

### registerAddon

    public final void registerAddon(GriffonAddonDescriptor addonDescriptor)

Groovy Documentation